oracle.jdbc.datasource.impl

## Class OracleDataSourceFactory

- java.lang.Object
- - oracle.jdbc.datasource.impl.OracleDataSourceFactory

All Implemented Interfaces:
  ObjectFactory

Direct Known Subclasses:
  OracleDataSourceFactory

    public class OracleDataSourceFactory
    extends Object
    implements ObjectFactory

A factory for creating an Oracle datasource.

### Constructor Summary

Constructors
Constructor and Description
`OracleDataSourceFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected oracle.jdbc.internal.OracleConnection` `getConnectionDuringExceptionHandling()`
`Object` `getObjectInstance(Object refObj, Name name, Context nameCtx, Hashtable env)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OracleDataSourceFactory

    public OracleDataSourceFactory()

### Method Detail

#### getObjectInstance

    public Object getObjectInstance(Object refObj,
                                    Name name,
                                    Context nameCtx,
                                    Hashtable env)
                             throws Exception

Specified by:
  `getObjectInstance` in interface `ObjectFactory`
Throws:
  `Exception`

#### getConnectionDuringExceptionHandling

    protected oracle.jdbc.internal.OracleConnection getConnectionDuringExceptionHandling()

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.